Name:           yakuake
Version:        2.8.1
Release:        2%{?dist}
Summary:        Terminal emulator for KDE

Group:          User Interface/Desktops
License:        GPLv2+
URL:            http://extragear.kde.org/apps/yakuake/
Source0:        http://download.berlios.de/yakuake/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:       kdebase

BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires:  kdelibs-devel

%description
Yakuake is a "Quake console" like terminal emulator for KDE.


%prep
%setup -q


%build
unset QTDIR || : ; . %{_sysconfdir}/profile.d/qt.sh
export QTLIB=${QTDIR}/lib QTINC=${QTDIR}/include
%configure \
        --disable-debug \
        --disable-dependency-tracking \
        --disable-rpath \
        --enable-final
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

desktop-file-install --vendor fedora                            \
        --dir %{buildroot}%{_datadir}/applications              \
        --add-category X-Fedora                                 \
        --add-category Application                              \
        --add-category Utility                                  \
        --add-category KDE                                      \
        --add-category Qt                                       \
        --delete-original                                       \
        %{buildroot}%{_datadir}/applications/kde/yakuake.desktop

%find_lang %{name}


%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x ${_bindir}/gtk-update-icon-cache ] ; then
        ${_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x ${_bindir}/gtk-update-icon-cache ] ; then
        ${_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi



%clean
rm -rf %{buildroot}


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog TODO
%{_bindir}/%{name}
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/apps/%{name}/
%{_datadir}/config.kcfg/%{name}.kcfg
%{_datadir}/icons/hicolor/??x??/apps/%{name}.png


%changelog
* Sat May 17 2008 Johan Cwiklinski <johan AT x-tnd DOT ba> - 2.8.1-2
- added kdebase as requires

* Mon Feb 11 2008 Johan Cwiklinski <johan AT x-tnd DOT be> - 2.8.1-1
- upstream release

* Mon Oct 30 2006 Dawid Gajownik <gajownik[AT]gmail.com> - 2.7.5-4
- Add support for KonsoleScripts (#212862)

* Fri Sep 15 2006 Dawid Gajownik <gajownik[AT]gmail.com> - 2.7.5-3
- Rebuild for FE6
- Update e-mail address
- Fix mixed-use-of-spaces-and-tabs rpmlint warning

* Sat May 20 2006 Dawid Gajownik <gajownik[AT]gmail.com> - 2.7.5-2
- Add dist tag

* Sat May 20 2006 Dawid Gajownik <gajownik[AT]gmail.com> - 2.7.5-1
- Update to 2.7.5
- Add `--disable-dependency-tracking' and `--enable-final' options
- Include translations

* Mon Oct 24 2005 Mickael <dreadyman@gmail.com>
- initial release

